Skip to main content
POST
https://connect.jobo.world
/
api
/
auto-apply
/
start
curl -X POST https://connect.jobo.world/api/auto-apply/start \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -d '{"apply_url":"https://boards.greenhouse.io/acme/jobs/1234567"}'
{
  "session_id": "e8e4cc3f-8d9f-4878-b4f3-6dc61d0cbbe4",
  "provider_id": "greenhouse",
  "provider_display_name": "Greenhouse",
  "success": true,
  "status": "FormReady",
  "error": null,
  "current_url": "https://boards.greenhouse.io/acme/jobs/1234567",
  "is_terminal": false,
  "validation_errors": [],
  "fields": [
    {
      "field_id": "first_name",
      "type": "Text",
      "label": "First Name",
      "name": "first_name",
      "placeholder": "Enter your first name",
      "is_required": true,
      "is_disabled": false,
      "current_value": null,
      "options": [],
      "constraints": { "max_length": 100 },
      "selector": "input[name='first_name']",
      "metadata": {}
    },
    {
      "field_id": "email",
      "type": "Text",
      "label": "Email",
      "is_required": true,
      "selector": "input[name='email']"
    },
    {
      "field_id": "resume",
      "type": "File",
      "label": "Resume/CV",
      "is_required": true,
      "constraints": {
        "accepted_file_types": [".pdf", ".doc", ".docx"],
        "max_file_size_bytes": 5242880
      },
      "selector": "input[type='file']"
    },
    {
      "field_id": "experience_level",
      "type": "Select",
      "label": "Years of Experience",
      "is_required": true,
      "options": [
        { "value": "", "text": "Select...", "is_selected": true },
        { "value": "0-1", "text": "0-1 years" },
        { "value": "1-3", "text": "1-3 years" },
        { "value": "3-5", "text": "3-5 years" },
        { "value": "5+", "text": "5+ years" }
      ],
      "selector": "select[name='experience_level']"
    },
    {
      "field_id": "work_authorization",
      "type": "Radio",
      "label": "Are you authorized to work in the US?",
      "is_required": true,
      "options": [
        { "value": "yes", "text": "Yes" },
        { "value": "no", "text": "No" }
      ],
      "selector": "fieldset[data-field='work_authorization']"
    }
  ]
}
apply_url
string
required
Job application URL for a supported ATS provider. Example: "https://boards.greenhouse.io/acme/jobs/1234567"
session_id
string
UUID identifying this session. Required for subsequent calls.
provider_id
string
ATS provider identifier (e.g., "greenhouse", "lever").
provider_display_name
string
Human-readable provider name.
success
boolean
Whether the session was started successfully.
status
string
Current flow status. See Flow States.
error
string
Error message if the session failed to start.
is_terminal
boolean
Whether this status is terminal (no further actions possible).
validation_errors
object[]
Array of validation error objects with field_id and message.
fields
object[]
Array of discovered form fields, each containing:
  • field_id (string) — Unique identifier
  • type (string) — Field type (Text, Select, File, etc.)
  • label (string) — Human-readable label
  • is_required (boolean) — Whether the field is required
  • options (array) — Available options for Select/Radio/MultiSelect
  • constraints (object) — Validation constraints
  • selector (string) — CSS selector
curl -X POST https://connect.jobo.world/api/auto-apply/start \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -d '{"apply_url":"https://boards.greenhouse.io/acme/jobs/1234567"}'
{
  "session_id": "e8e4cc3f-8d9f-4878-b4f3-6dc61d0cbbe4",
  "provider_id": "greenhouse",
  "provider_display_name": "Greenhouse",
  "success": true,
  "status": "FormReady",
  "error": null,
  "current_url": "https://boards.greenhouse.io/acme/jobs/1234567",
  "is_terminal": false,
  "validation_errors": [],
  "fields": [
    {
      "field_id": "first_name",
      "type": "Text",
      "label": "First Name",
      "name": "first_name",
      "placeholder": "Enter your first name",
      "is_required": true,
      "is_disabled": false,
      "current_value": null,
      "options": [],
      "constraints": { "max_length": 100 },
      "selector": "input[name='first_name']",
      "metadata": {}
    },
    {
      "field_id": "email",
      "type": "Text",
      "label": "Email",
      "is_required": true,
      "selector": "input[name='email']"
    },
    {
      "field_id": "resume",
      "type": "File",
      "label": "Resume/CV",
      "is_required": true,
      "constraints": {
        "accepted_file_types": [".pdf", ".doc", ".docx"],
        "max_file_size_bytes": 5242880
      },
      "selector": "input[type='file']"
    },
    {
      "field_id": "experience_level",
      "type": "Select",
      "label": "Years of Experience",
      "is_required": true,
      "options": [
        { "value": "", "text": "Select...", "is_selected": true },
        { "value": "0-1", "text": "0-1 years" },
        { "value": "1-3", "text": "1-3 years" },
        { "value": "3-5", "text": "3-5 years" },
        { "value": "5+", "text": "5+ years" }
      ],
      "selector": "select[name='experience_level']"
    },
    {
      "field_id": "work_authorization",
      "type": "Radio",
      "label": "Are you authorized to work in the US?",
      "is_required": true,
      "options": [
        { "value": "yes", "text": "Yes" },
        { "value": "no", "text": "No" }
      ],
      "selector": "fieldset[data-field='work_authorization']"
    }
  ]
}